IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network196.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
- Network address
196.0.0.0- Broadcast address
197.255.255.255- First usable
196.0.0.1- Last usable
197.255.255.254- Usable hosts
- 33,554,430 (33,554,432 less the network and broadcast addresses)
- Subnet mask
254.0.0.0- Wildcard mask
1.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /7
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
C4000000· Integer3288334336to3321888767 - Reverse DNS zones
196.in-addr.arpa197.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11000100.00000000.00000000.00000000 | 196.0.0.0 |
| Subnet mask | 11111110.00000000.00000000.00000000 | 254.0.0.0 |
| Network | 11000100.00000000.00000000.00000000 | 196.0.0.0 |
| Broadcast | 11000101.11111111.11111111.11111111 | 197.255.255.255 |
Split into smaller subnets
/8 (2)/9 (4)/10 (8)/11 (16)/12 (32)/13 (64)/14 (128)/15 (256)/16 (512)/17 (1,024)/18 (2,048)/19 (4,096)
196.0.0.0/7 makes 256 subnets of /15.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 196.0.0.0/15 | 196.0.0.1 to 196.1.255.254 | 196.1.255.255 | 131,070 |
| 2 | 196.2.0.0/15 | 196.2.0.1 to 196.3.255.254 | 196.3.255.255 | 131,070 |
| 3 | 196.4.0.0/15 | 196.4.0.1 to 196.5.255.254 | 196.5.255.255 | 131,070 |
| 4 | 196.6.0.0/15 | 196.6.0.1 to 196.7.255.254 | 196.7.255.255 | 131,070 |
| 5 | 196.8.0.0/15 | 196.8.0.1 to 196.9.255.254 | 196.9.255.255 | 131,070 |
| 6 | 196.10.0.0/15 | 196.10.0.1 to 196.11.255.254 | 196.11.255.255 | 131,070 |
| 7 | 196.12.0.0/15 | 196.12.0.1 to 196.13.255.254 | 196.13.255.255 | 131,070 |
| 8 | 196.14.0.0/15 | 196.14.0.1 to 196.15.255.254 | 196.15.255.255 | 131,070 |
| 9 | 196.16.0.0/15 | 196.16.0.1 to 196.17.255.254 | 196.17.255.255 | 131,070 |
| 10 | 196.18.0.0/15 | 196.18.0.1 to 196.19.255.254 | 196.19.255.255 | 131,070 |
| 11 | 196.20.0.0/15 | 196.20.0.1 to 196.21.255.254 | 196.21.255.255 | 131,070 |
| 12 | 196.22.0.0/15 | 196.22.0.1 to 196.23.255.254 | 196.23.255.255 | 131,070 |
| 13 | 196.24.0.0/15 | 196.24.0.1 to 196.25.255.254 | 196.25.255.255 | 131,070 |
| 14 | 196.26.0.0/15 | 196.26.0.1 to 196.27.255.254 | 196.27.255.255 | 131,070 |
| 15 | 196.28.0.0/15 | 196.28.0.1 to 196.29.255.254 | 196.29.255.255 | 131,070 |
| 16 | 196.30.0.0/15 | 196.30.0.1 to 196.31.255.254 | 196.31.255.255 | 131,070 |
| 17 | 196.32.0.0/15 | 196.32.0.1 to 196.33.255.254 | 196.33.255.255 | 131,070 |
| 18 | 196.34.0.0/15 | 196.34.0.1 to 196.35.255.254 | 196.35.255.255 | 131,070 |
| 19 | 196.36.0.0/15 | 196.36.0.1 to 196.37.255.254 | 196.37.255.255 | 131,070 |
| 20 | 196.38.0.0/15 | 196.38.0.1 to 196.39.255.254 | 196.39.255.255 | 131,070 |
| 21 | 196.40.0.0/15 | 196.40.0.1 to 196.41.255.254 | 196.41.255.255 | 131,070 |
| 22 | 196.42.0.0/15 | 196.42.0.1 to 196.43.255.254 | 196.43.255.255 | 131,070 |
| 23 | 196.44.0.0/15 | 196.44.0.1 to 196.45.255.254 | 196.45.255.255 | 131,070 |
| 24 | 196.46.0.0/15 | 196.46.0.1 to 196.47.255.254 | 196.47.255.255 | 131,070 |
| 25 | 196.48.0.0/15 | 196.48.0.1 to 196.49.255.254 | 196.49.255.255 | 131,070 |
| 26 | 196.50.0.0/15 | 196.50.0.1 to 196.51.255.254 | 196.51.255.255 | 131,070 |
| 27 | 196.52.0.0/15 | 196.52.0.1 to 196.53.255.254 | 196.53.255.255 | 131,070 |
| 28 | 196.54.0.0/15 | 196.54.0.1 to 196.55.255.254 | 196.55.255.255 | 131,070 |
| 29 | 196.56.0.0/15 | 196.56.0.1 to 196.57.255.254 | 196.57.255.255 | 131,070 |
| 30 | 196.58.0.0/15 | 196.58.0.1 to 196.59.255.254 | 196.59.255.255 | 131,070 |
| 31 | 196.60.0.0/15 | 196.60.0.1 to 196.61.255.254 | 196.61.255.255 | 131,070 |
| 32 | 196.62.0.0/15 | 196.62.0.1 to 196.63.255.254 | 196.63.255.255 | 131,070 |
| 33 | 196.64.0.0/15 | 196.64.0.1 to 196.65.255.254 | 196.65.255.255 | 131,070 |
| 34 | 196.66.0.0/15 | 196.66.0.1 to 196.67.255.254 | 196.67.255.255 | 131,070 |
| 35 | 196.68.0.0/15 | 196.68.0.1 to 196.69.255.254 | 196.69.255.255 | 131,070 |
| 36 | 196.70.0.0/15 | 196.70.0.1 to 196.71.255.254 | 196.71.255.255 | 131,070 |
| 37 | 196.72.0.0/15 | 196.72.0.1 to 196.73.255.254 | 196.73.255.255 | 131,070 |
| 38 | 196.74.0.0/15 | 196.74.0.1 to 196.75.255.254 | 196.75.255.255 | 131,070 |
| 39 | 196.76.0.0/15 | 196.76.0.1 to 196.77.255.254 | 196.77.255.255 | 131,070 |
| 40 | 196.78.0.0/15 | 196.78.0.1 to 196.79.255.254 | 196.79.255.255 | 131,070 |
| 41 | 196.80.0.0/15 | 196.80.0.1 to 196.81.255.254 | 196.81.255.255 | 131,070 |
| 42 | 196.82.0.0/15 | 196.82.0.1 to 196.83.255.254 | 196.83.255.255 | 131,070 |
| 43 | 196.84.0.0/15 | 196.84.0.1 to 196.85.255.254 | 196.85.255.255 | 131,070 |
| 44 | 196.86.0.0/15 | 196.86.0.1 to 196.87.255.254 | 196.87.255.255 | 131,070 |
| 45 | 196.88.0.0/15 | 196.88.0.1 to 196.89.255.254 | 196.89.255.255 | 131,070 |
| 46 | 196.90.0.0/15 | 196.90.0.1 to 196.91.255.254 | 196.91.255.255 | 131,070 |
| 47 | 196.92.0.0/15 | 196.92.0.1 to 196.93.255.254 | 196.93.255.255 | 131,070 |
| 48 | 196.94.0.0/15 | 196.94.0.1 to 196.95.255.254 | 196.95.255.255 | 131,070 |
| 49 | 196.96.0.0/15 | 196.96.0.1 to 196.97.255.254 | 196.97.255.255 | 131,070 |
| 50 | 196.98.0.0/15 | 196.98.0.1 to 196.99.255.254 | 196.99.255.255 | 131,070 |
| 51 | 196.100.0.0/15 | 196.100.0.1 to 196.101.255.254 | 196.101.255.255 | 131,070 |
| 52 | 196.102.0.0/15 | 196.102.0.1 to 196.103.255.254 | 196.103.255.255 | 131,070 |
| 53 | 196.104.0.0/15 | 196.104.0.1 to 196.105.255.254 | 196.105.255.255 | 131,070 |
| 54 | 196.106.0.0/15 | 196.106.0.1 to 196.107.255.254 | 196.107.255.255 | 131,070 |
| 55 | 196.108.0.0/15 | 196.108.0.1 to 196.109.255.254 | 196.109.255.255 | 131,070 |
| 56 | 196.110.0.0/15 | 196.110.0.1 to 196.111.255.254 | 196.111.255.255 | 131,070 |
| 57 | 196.112.0.0/15 | 196.112.0.1 to 196.113.255.254 | 196.113.255.255 | 131,070 |
| 58 | 196.114.0.0/15 | 196.114.0.1 to 196.115.255.254 | 196.115.255.255 | 131,070 |
| 59 | 196.116.0.0/15 | 196.116.0.1 to 196.117.255.254 | 196.117.255.255 | 131,070 |
| 60 | 196.118.0.0/15 | 196.118.0.1 to 196.119.255.254 | 196.119.255.255 | 131,070 |
| 61 | 196.120.0.0/15 | 196.120.0.1 to 196.121.255.254 | 196.121.255.255 | 131,070 |
| 62 | 196.122.0.0/15 | 196.122.0.1 to 196.123.255.254 | 196.123.255.255 | 131,070 |
| 63 | 196.124.0.0/15 | 196.124.0.1 to 196.125.255.254 | 196.125.255.255 | 131,070 |
| 64 | 196.126.0.0/15 | 196.126.0.1 to 196.127.255.254 | 196.127.255.255 | 131,070 |
| 65 | 196.128.0.0/15 | 196.128.0.1 to 196.129.255.254 | 196.129.255.255 | 131,070 |
| 66 | 196.130.0.0/15 | 196.130.0.1 to 196.131.255.254 | 196.131.255.255 | 131,070 |
| 67 | 196.132.0.0/15 | 196.132.0.1 to 196.133.255.254 | 196.133.255.255 | 131,070 |
| 68 | 196.134.0.0/15 | 196.134.0.1 to 196.135.255.254 | 196.135.255.255 | 131,070 |
| 69 | 196.136.0.0/15 | 196.136.0.1 to 196.137.255.254 | 196.137.255.255 | 131,070 |
| 70 | 196.138.0.0/15 | 196.138.0.1 to 196.139.255.254 | 196.139.255.255 | 131,070 |
| 71 | 196.140.0.0/15 | 196.140.0.1 to 196.141.255.254 | 196.141.255.255 | 131,070 |
| 72 | 196.142.0.0/15 | 196.142.0.1 to 196.143.255.254 | 196.143.255.255 | 131,070 |
| 73 | 196.144.0.0/15 | 196.144.0.1 to 196.145.255.254 | 196.145.255.255 | 131,070 |
| 74 | 196.146.0.0/15 | 196.146.0.1 to 196.147.255.254 | 196.147.255.255 | 131,070 |
| 75 | 196.148.0.0/15 | 196.148.0.1 to 196.149.255.254 | 196.149.255.255 | 131,070 |
| 76 | 196.150.0.0/15 | 196.150.0.1 to 196.151.255.254 | 196.151.255.255 | 131,070 |
| 77 | 196.152.0.0/15 | 196.152.0.1 to 196.153.255.254 | 196.153.255.255 | 131,070 |
| 78 | 196.154.0.0/15 | 196.154.0.1 to 196.155.255.254 | 196.155.255.255 | 131,070 |
| 79 | 196.156.0.0/15 | 196.156.0.1 to 196.157.255.254 | 196.157.255.255 | 131,070 |
| 80 | 196.158.0.0/15 | 196.158.0.1 to 196.159.255.254 | 196.159.255.255 | 131,070 |
| 81 | 196.160.0.0/15 | 196.160.0.1 to 196.161.255.254 | 196.161.255.255 | 131,070 |
| 82 | 196.162.0.0/15 | 196.162.0.1 to 196.163.255.254 | 196.163.255.255 | 131,070 |
| 83 | 196.164.0.0/15 | 196.164.0.1 to 196.165.255.254 | 196.165.255.255 | 131,070 |
| 84 | 196.166.0.0/15 | 196.166.0.1 to 196.167.255.254 | 196.167.255.255 | 131,070 |
| 85 | 196.168.0.0/15 | 196.168.0.1 to 196.169.255.254 | 196.169.255.255 | 131,070 |
| 86 | 196.170.0.0/15 | 196.170.0.1 to 196.171.255.254 | 196.171.255.255 | 131,070 |
| 87 | 196.172.0.0/15 | 196.172.0.1 to 196.173.255.254 | 196.173.255.255 | 131,070 |
| 88 | 196.174.0.0/15 | 196.174.0.1 to 196.175.255.254 | 196.175.255.255 | 131,070 |
| 89 | 196.176.0.0/15 | 196.176.0.1 to 196.177.255.254 | 196.177.255.255 | 131,070 |
| 90 | 196.178.0.0/15 | 196.178.0.1 to 196.179.255.254 | 196.179.255.255 | 131,070 |
| 91 | 196.180.0.0/15 | 196.180.0.1 to 196.181.255.254 | 196.181.255.255 | 131,070 |
| 92 | 196.182.0.0/15 | 196.182.0.1 to 196.183.255.254 | 196.183.255.255 | 131,070 |
| 93 | 196.184.0.0/15 | 196.184.0.1 to 196.185.255.254 | 196.185.255.255 | 131,070 |
| 94 | 196.186.0.0/15 | 196.186.0.1 to 196.187.255.254 | 196.187.255.255 | 131,070 |
| 95 | 196.188.0.0/15 | 196.188.0.1 to 196.189.255.254 | 196.189.255.255 | 131,070 |
| 96 | 196.190.0.0/15 | 196.190.0.1 to 196.191.255.254 | 196.191.255.255 | 131,070 |
| 97 | 196.192.0.0/15 | 196.192.0.1 to 196.193.255.254 | 196.193.255.255 | 131,070 |
| 98 | 196.194.0.0/15 | 196.194.0.1 to 196.195.255.254 | 196.195.255.255 | 131,070 |
| 99 | 196.196.0.0/15 | 196.196.0.1 to 196.197.255.254 | 196.197.255.255 | 131,070 |
| 100 | 196.198.0.0/15 | 196.198.0.1 to 196.199.255.254 | 196.199.255.255 | 131,070 |
| 101 | 196.200.0.0/15 | 196.200.0.1 to 196.201.255.254 | 196.201.255.255 | 131,070 |
| 102 | 196.202.0.0/15 | 196.202.0.1 to 196.203.255.254 | 196.203.255.255 | 131,070 |
| 103 | 196.204.0.0/15 | 196.204.0.1 to 196.205.255.254 | 196.205.255.255 | 131,070 |
| 104 | 196.206.0.0/15 | 196.206.0.1 to 196.207.255.254 | 196.207.255.255 | 131,070 |
| 105 | 196.208.0.0/15 | 196.208.0.1 to 196.209.255.254 | 196.209.255.255 | 131,070 |
| 106 | 196.210.0.0/15 | 196.210.0.1 to 196.211.255.254 | 196.211.255.255 | 131,070 |
| 107 | 196.212.0.0/15 | 196.212.0.1 to 196.213.255.254 | 196.213.255.255 | 131,070 |
| 108 | 196.214.0.0/15 | 196.214.0.1 to 196.215.255.254 | 196.215.255.255 | 131,070 |
| 109 | 196.216.0.0/15 | 196.216.0.1 to 196.217.255.254 | 196.217.255.255 | 131,070 |
| 110 | 196.218.0.0/15 | 196.218.0.1 to 196.219.255.254 | 196.219.255.255 | 131,070 |
| 111 | 196.220.0.0/15 | 196.220.0.1 to 196.221.255.254 | 196.221.255.255 | 131,070 |
| 112 | 196.222.0.0/15 | 196.222.0.1 to 196.223.255.254 | 196.223.255.255 | 131,070 |
| 113 | 196.224.0.0/15 | 196.224.0.1 to 196.225.255.254 | 196.225.255.255 | 131,070 |
| 114 | 196.226.0.0/15 | 196.226.0.1 to 196.227.255.254 | 196.227.255.255 | 131,070 |
| 115 | 196.228.0.0/15 | 196.228.0.1 to 196.229.255.254 | 196.229.255.255 | 131,070 |
| 116 | 196.230.0.0/15 | 196.230.0.1 to 196.231.255.254 | 196.231.255.255 | 131,070 |
| 117 | 196.232.0.0/15 | 196.232.0.1 to 196.233.255.254 | 196.233.255.255 | 131,070 |
| 118 | 196.234.0.0/15 | 196.234.0.1 to 196.235.255.254 | 196.235.255.255 | 131,070 |
| 119 | 196.236.0.0/15 | 196.236.0.1 to 196.237.255.254 | 196.237.255.255 | 131,070 |
| 120 | 196.238.0.0/15 | 196.238.0.1 to 196.239.255.254 | 196.239.255.255 | 131,070 |
| 121 | 196.240.0.0/15 | 196.240.0.1 to 196.241.255.254 | 196.241.255.255 | 131,070 |
| 122 | 196.242.0.0/15 | 196.242.0.1 to 196.243.255.254 | 196.243.255.255 | 131,070 |
| 123 | 196.244.0.0/15 | 196.244.0.1 to 196.245.255.254 | 196.245.255.255 | 131,070 |
| 124 | 196.246.0.0/15 | 196.246.0.1 to 196.247.255.254 | 196.247.255.255 | 131,070 |
| 125 | 196.248.0.0/15 | 196.248.0.1 to 196.249.255.254 | 196.249.255.255 | 131,070 |
| 126 | 196.250.0.0/15 | 196.250.0.1 to 196.251.255.254 | 196.251.255.255 | 131,070 |
| 127 | 196.252.0.0/15 | 196.252.0.1 to 196.253.255.254 | 196.253.255.255 | 131,070 |
| 128 | 196.254.0.0/15 | 196.254.0.1 to 196.255.255.254 | 196.255.255.255 | 131,070 |
| 129 | 197.0.0.0/15 | 197.0.0.1 to 197.1.255.254 | 197.1.255.255 | 131,070 |
| 130 | 197.2.0.0/15 | 197.2.0.1 to 197.3.255.254 | 197.3.255.255 | 131,070 |
| 131 | 197.4.0.0/15 | 197.4.0.1 to 197.5.255.254 | 197.5.255.255 | 131,070 |
| 132 | 197.6.0.0/15 | 197.6.0.1 to 197.7.255.254 | 197.7.255.255 | 131,070 |
| 133 | 197.8.0.0/15 | 197.8.0.1 to 197.9.255.254 | 197.9.255.255 | 131,070 |
| 134 | 197.10.0.0/15 | 197.10.0.1 to 197.11.255.254 | 197.11.255.255 | 131,070 |
| 135 | 197.12.0.0/15 | 197.12.0.1 to 197.13.255.254 | 197.13.255.255 | 131,070 |
| 136 | 197.14.0.0/15 | 197.14.0.1 to 197.15.255.254 | 197.15.255.255 | 131,070 |
| 137 | 197.16.0.0/15 | 197.16.0.1 to 197.17.255.254 | 197.17.255.255 | 131,070 |
| 138 | 197.18.0.0/15 | 197.18.0.1 to 197.19.255.254 | 197.19.255.255 | 131,070 |
| 139 | 197.20.0.0/15 | 197.20.0.1 to 197.21.255.254 | 197.21.255.255 | 131,070 |
| 140 | 197.22.0.0/15 | 197.22.0.1 to 197.23.255.254 | 197.23.255.255 | 131,070 |
| 141 | 197.24.0.0/15 | 197.24.0.1 to 197.25.255.254 | 197.25.255.255 | 131,070 |
| 142 | 197.26.0.0/15 | 197.26.0.1 to 197.27.255.254 | 197.27.255.255 | 131,070 |
| 143 | 197.28.0.0/15 | 197.28.0.1 to 197.29.255.254 | 197.29.255.255 | 131,070 |
| 144 | 197.30.0.0/15 | 197.30.0.1 to 197.31.255.254 | 197.31.255.255 | 131,070 |
| 145 | 197.32.0.0/15 | 197.32.0.1 to 197.33.255.254 | 197.33.255.255 | 131,070 |
| 146 | 197.34.0.0/15 | 197.34.0.1 to 197.35.255.254 | 197.35.255.255 | 131,070 |
| 147 | 197.36.0.0/15 | 197.36.0.1 to 197.37.255.254 | 197.37.255.255 | 131,070 |
| 148 | 197.38.0.0/15 | 197.38.0.1 to 197.39.255.254 | 197.39.255.255 | 131,070 |
| 149 | 197.40.0.0/15 | 197.40.0.1 to 197.41.255.254 | 197.41.255.255 | 131,070 |
| 150 | 197.42.0.0/15 | 197.42.0.1 to 197.43.255.254 | 197.43.255.255 | 131,070 |
| 151 | 197.44.0.0/15 | 197.44.0.1 to 197.45.255.254 | 197.45.255.255 | 131,070 |
| 152 | 197.46.0.0/15 | 197.46.0.1 to 197.47.255.254 | 197.47.255.255 | 131,070 |
| 153 | 197.48.0.0/15 | 197.48.0.1 to 197.49.255.254 | 197.49.255.255 | 131,070 |
| 154 | 197.50.0.0/15 | 197.50.0.1 to 197.51.255.254 | 197.51.255.255 | 131,070 |
| 155 | 197.52.0.0/15 | 197.52.0.1 to 197.53.255.254 | 197.53.255.255 | 131,070 |
| 156 | 197.54.0.0/15 | 197.54.0.1 to 197.55.255.254 | 197.55.255.255 | 131,070 |
| 157 | 197.56.0.0/15 | 197.56.0.1 to 197.57.255.254 | 197.57.255.255 | 131,070 |
| 158 | 197.58.0.0/15 | 197.58.0.1 to 197.59.255.254 | 197.59.255.255 | 131,070 |
| 159 | 197.60.0.0/15 | 197.60.0.1 to 197.61.255.254 | 197.61.255.255 | 131,070 |
| 160 | 197.62.0.0/15 | 197.62.0.1 to 197.63.255.254 | 197.63.255.255 | 131,070 |
| 161 | 197.64.0.0/15 | 197.64.0.1 to 197.65.255.254 | 197.65.255.255 | 131,070 |
| 162 | 197.66.0.0/15 | 197.66.0.1 to 197.67.255.254 | 197.67.255.255 | 131,070 |
| 163 | 197.68.0.0/15 | 197.68.0.1 to 197.69.255.254 | 197.69.255.255 | 131,070 |
| 164 | 197.70.0.0/15 | 197.70.0.1 to 197.71.255.254 | 197.71.255.255 | 131,070 |
| 165 | 197.72.0.0/15 | 197.72.0.1 to 197.73.255.254 | 197.73.255.255 | 131,070 |
| 166 | 197.74.0.0/15 | 197.74.0.1 to 197.75.255.254 | 197.75.255.255 | 131,070 |
| 167 | 197.76.0.0/15 | 197.76.0.1 to 197.77.255.254 | 197.77.255.255 | 131,070 |
| 168 | 197.78.0.0/15 | 197.78.0.1 to 197.79.255.254 | 197.79.255.255 | 131,070 |
| 169 | 197.80.0.0/15 | 197.80.0.1 to 197.81.255.254 | 197.81.255.255 | 131,070 |
| 170 | 197.82.0.0/15 | 197.82.0.1 to 197.83.255.254 | 197.83.255.255 | 131,070 |
| 171 | 197.84.0.0/15 | 197.84.0.1 to 197.85.255.254 | 197.85.255.255 | 131,070 |
| 172 | 197.86.0.0/15 | 197.86.0.1 to 197.87.255.254 | 197.87.255.255 | 131,070 |
| 173 | 197.88.0.0/15 | 197.88.0.1 to 197.89.255.254 | 197.89.255.255 | 131,070 |
| 174 | 197.90.0.0/15 | 197.90.0.1 to 197.91.255.254 | 197.91.255.255 | 131,070 |
| 175 | 197.92.0.0/15 | 197.92.0.1 to 197.93.255.254 | 197.93.255.255 | 131,070 |
| 176 | 197.94.0.0/15 | 197.94.0.1 to 197.95.255.254 | 197.95.255.255 | 131,070 |
| 177 | 197.96.0.0/15 | 197.96.0.1 to 197.97.255.254 | 197.97.255.255 | 131,070 |
| 178 | 197.98.0.0/15 | 197.98.0.1 to 197.99.255.254 | 197.99.255.255 | 131,070 |
| 179 | 197.100.0.0/15 | 197.100.0.1 to 197.101.255.254 | 197.101.255.255 | 131,070 |
| 180 | 197.102.0.0/15 | 197.102.0.1 to 197.103.255.254 | 197.103.255.255 | 131,070 |
| 181 | 197.104.0.0/15 | 197.104.0.1 to 197.105.255.254 | 197.105.255.255 | 131,070 |
| 182 | 197.106.0.0/15 | 197.106.0.1 to 197.107.255.254 | 197.107.255.255 | 131,070 |
| 183 | 197.108.0.0/15 | 197.108.0.1 to 197.109.255.254 | 197.109.255.255 | 131,070 |
| 184 | 197.110.0.0/15 | 197.110.0.1 to 197.111.255.254 | 197.111.255.255 | 131,070 |
| 185 | 197.112.0.0/15 | 197.112.0.1 to 197.113.255.254 | 197.113.255.255 | 131,070 |
| 186 | 197.114.0.0/15 | 197.114.0.1 to 197.115.255.254 | 197.115.255.255 | 131,070 |
| 187 | 197.116.0.0/15 | 197.116.0.1 to 197.117.255.254 | 197.117.255.255 | 131,070 |
| 188 | 197.118.0.0/15 | 197.118.0.1 to 197.119.255.254 | 197.119.255.255 | 131,070 |
| 189 | 197.120.0.0/15 | 197.120.0.1 to 197.121.255.254 | 197.121.255.255 | 131,070 |
| 190 | 197.122.0.0/15 | 197.122.0.1 to 197.123.255.254 | 197.123.255.255 | 131,070 |
| 191 | 197.124.0.0/15 | 197.124.0.1 to 197.125.255.254 | 197.125.255.255 | 131,070 |
| 192 | 197.126.0.0/15 | 197.126.0.1 to 197.127.255.254 | 197.127.255.255 | 131,070 |
| 193 | 197.128.0.0/15 | 197.128.0.1 to 197.129.255.254 | 197.129.255.255 | 131,070 |
| 194 | 197.130.0.0/15 | 197.130.0.1 to 197.131.255.254 | 197.131.255.255 | 131,070 |
| 195 | 197.132.0.0/15 | 197.132.0.1 to 197.133.255.254 | 197.133.255.255 | 131,070 |
| 196 | 197.134.0.0/15 | 197.134.0.1 to 197.135.255.254 | 197.135.255.255 | 131,070 |
| 197 | 197.136.0.0/15 | 197.136.0.1 to 197.137.255.254 | 197.137.255.255 | 131,070 |
| 198 | 197.138.0.0/15 | 197.138.0.1 to 197.139.255.254 | 197.139.255.255 | 131,070 |
| 199 | 197.140.0.0/15 | 197.140.0.1 to 197.141.255.254 | 197.141.255.255 | 131,070 |
| 200 | 197.142.0.0/15 | 197.142.0.1 to 197.143.255.254 | 197.143.255.255 | 131,070 |
| 201 | 197.144.0.0/15 | 197.144.0.1 to 197.145.255.254 | 197.145.255.255 | 131,070 |
| 202 | 197.146.0.0/15 | 197.146.0.1 to 197.147.255.254 | 197.147.255.255 | 131,070 |
| 203 | 197.148.0.0/15 | 197.148.0.1 to 197.149.255.254 | 197.149.255.255 | 131,070 |
| 204 | 197.150.0.0/15 | 197.150.0.1 to 197.151.255.254 | 197.151.255.255 | 131,070 |
| 205 | 197.152.0.0/15 | 197.152.0.1 to 197.153.255.254 | 197.153.255.255 | 131,070 |
| 206 | 197.154.0.0/15 | 197.154.0.1 to 197.155.255.254 | 197.155.255.255 | 131,070 |
| 207 | 197.156.0.0/15 | 197.156.0.1 to 197.157.255.254 | 197.157.255.255 | 131,070 |
| 208 | 197.158.0.0/15 | 197.158.0.1 to 197.159.255.254 | 197.159.255.255 | 131,070 |
| 209 | 197.160.0.0/15 | 197.160.0.1 to 197.161.255.254 | 197.161.255.255 | 131,070 |
| 210 | 197.162.0.0/15 | 197.162.0.1 to 197.163.255.254 | 197.163.255.255 | 131,070 |
| 211 | 197.164.0.0/15 | 197.164.0.1 to 197.165.255.254 | 197.165.255.255 | 131,070 |
| 212 | 197.166.0.0/15 | 197.166.0.1 to 197.167.255.254 | 197.167.255.255 | 131,070 |
| 213 | 197.168.0.0/15 | 197.168.0.1 to 197.169.255.254 | 197.169.255.255 | 131,070 |
| 214 | 197.170.0.0/15 | 197.170.0.1 to 197.171.255.254 | 197.171.255.255 | 131,070 |
| 215 | 197.172.0.0/15 | 197.172.0.1 to 197.173.255.254 | 197.173.255.255 | 131,070 |
| 216 | 197.174.0.0/15 | 197.174.0.1 to 197.175.255.254 | 197.175.255.255 | 131,070 |
| 217 | 197.176.0.0/15 | 197.176.0.1 to 197.177.255.254 | 197.177.255.255 | 131,070 |
| 218 | 197.178.0.0/15 | 197.178.0.1 to 197.179.255.254 | 197.179.255.255 | 131,070 |
| 219 | 197.180.0.0/15 | 197.180.0.1 to 197.181.255.254 | 197.181.255.255 | 131,070 |
| 220 | 197.182.0.0/15 | 197.182.0.1 to 197.183.255.254 | 197.183.255.255 | 131,070 |
| 221 | 197.184.0.0/15 | 197.184.0.1 to 197.185.255.254 | 197.185.255.255 | 131,070 |
| 222 | 197.186.0.0/15 | 197.186.0.1 to 197.187.255.254 | 197.187.255.255 | 131,070 |
| 223 | 197.188.0.0/15 | 197.188.0.1 to 197.189.255.254 | 197.189.255.255 | 131,070 |
| 224 | 197.190.0.0/15 | 197.190.0.1 to 197.191.255.254 | 197.191.255.255 | 131,070 |
| 225 | 197.192.0.0/15 | 197.192.0.1 to 197.193.255.254 | 197.193.255.255 | 131,070 |
| 226 | 197.194.0.0/15 | 197.194.0.1 to 197.195.255.254 | 197.195.255.255 | 131,070 |
| 227 | 197.196.0.0/15 | 197.196.0.1 to 197.197.255.254 | 197.197.255.255 | 131,070 |
| 228 | 197.198.0.0/15 | 197.198.0.1 to 197.199.255.254 | 197.199.255.255 | 131,070 |
| 229 | 197.200.0.0/15 | 197.200.0.1 to 197.201.255.254 | 197.201.255.255 | 131,070 |
| 230 | 197.202.0.0/15 | 197.202.0.1 to 197.203.255.254 | 197.203.255.255 | 131,070 |
| 231 | 197.204.0.0/15 | 197.204.0.1 to 197.205.255.254 | 197.205.255.255 | 131,070 |
| 232 | 197.206.0.0/15 | 197.206.0.1 to 197.207.255.254 | 197.207.255.255 | 131,070 |
| 233 | 197.208.0.0/15 | 197.208.0.1 to 197.209.255.254 | 197.209.255.255 | 131,070 |
| 234 | 197.210.0.0/15 | 197.210.0.1 to 197.211.255.254 | 197.211.255.255 | 131,070 |
| 235 | 197.212.0.0/15 | 197.212.0.1 to 197.213.255.254 | 197.213.255.255 | 131,070 |
| 236 | 197.214.0.0/15 | 197.214.0.1 to 197.215.255.254 | 197.215.255.255 | 131,070 |
| 237 | 197.216.0.0/15 | 197.216.0.1 to 197.217.255.254 | 197.217.255.255 | 131,070 |
| 238 | 197.218.0.0/15 | 197.218.0.1 to 197.219.255.254 | 197.219.255.255 | 131,070 |
| 239 | 197.220.0.0/15 | 197.220.0.1 to 197.221.255.254 | 197.221.255.255 | 131,070 |
| 240 | 197.222.0.0/15 | 197.222.0.1 to 197.223.255.254 | 197.223.255.255 | 131,070 |
| 241 | 197.224.0.0/15 | 197.224.0.1 to 197.225.255.254 | 197.225.255.255 | 131,070 |
| 242 | 197.226.0.0/15 | 197.226.0.1 to 197.227.255.254 | 197.227.255.255 | 131,070 |
| 243 | 197.228.0.0/15 | 197.228.0.1 to 197.229.255.254 | 197.229.255.255 | 131,070 |
| 244 | 197.230.0.0/15 | 197.230.0.1 to 197.231.255.254 | 197.231.255.255 | 131,070 |
| 245 | 197.232.0.0/15 | 197.232.0.1 to 197.233.255.254 | 197.233.255.255 | 131,070 |
| 246 | 197.234.0.0/15 | 197.234.0.1 to 197.235.255.254 | 197.235.255.255 | 131,070 |
| 247 | 197.236.0.0/15 | 197.236.0.1 to 197.237.255.254 | 197.237.255.255 | 131,070 |
| 248 | 197.238.0.0/15 | 197.238.0.1 to 197.239.255.254 | 197.239.255.255 | 131,070 |
| 249 | 197.240.0.0/15 | 197.240.0.1 to 197.241.255.254 | 197.241.255.255 | 131,070 |
| 250 | 197.242.0.0/15 | 197.242.0.1 to 197.243.255.254 | 197.243.255.255 | 131,070 |
| 251 | 197.244.0.0/15 | 197.244.0.1 to 197.245.255.254 | 197.245.255.255 | 131,070 |
| 252 | 197.246.0.0/15 | 197.246.0.1 to 197.247.255.254 | 197.247.255.255 | 131,070 |
| 253 | 197.248.0.0/15 | 197.248.0.1 to 197.249.255.254 | 197.249.255.255 | 131,070 |
| 254 | 197.250.0.0/15 | 197.250.0.1 to 197.251.255.254 | 197.251.255.255 | 131,070 |
| 255 | 197.252.0.0/15 | 197.252.0.1 to 197.253.255.254 | 197.253.255.255 | 131,070 |
| 256 | 197.254.0.0/15 | 197.254.0.1 to 197.255.255.254 | 197.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |